Active Topics

 



Notices


Reply
Thread Tools
Posts: 112 | Thanked: 122 times | Joined on Dec 2009 @ London, United Kingdom
#351
Well, I do check!
a)The version 1.10 (on extras-devel/extras-testing) is, for sure, safer than 0.9

b)I currently use 4 widgets on my desktop and no lockups so far, suggesting that maybe the commands themselves are the problem.

c) Queen Beecon Widget is quite safer (albeit more bloated) since it executes commands asynchronously and is under current development.
__________________
Happy n900 owner!
Check my apps: n900fly, accdisplay and the "desktop command execution" widget!
 

The Following User Says Thank You to cpscotti For This Useful Post:
Posts: 384 | Thanked: 95 times | Joined on Jan 2010 @ Romania
#352
Originally Posted by cpscotti View Post
b)I currently use 4 widgets on my desktop and no lockups so far, suggesting that maybe the commands themselves are the problem.
I have to admit that I used with 0.9 almost nine instances of the widget on the desktop.
Still the scripts were from http://wiki.maemo.org/Desktop_Comman...#CPU_frequency

Cheers!
 
Posts: 112 | Thanked: 122 times | Joined on Dec 2009 @ London, United Kingdom
#353
Well, if everything goes as planned (me finding time again to work on my side-projs) I'll have time to push a new version (probably with asynchronous cmd execution) sometime in the future.
__________________
Happy n900 owner!
Check my apps: n900fly, accdisplay and the "desktop command execution" widget!
 

The Following User Says Thank You to cpscotti For This Useful Post:
Posts: 131 | Thanked: 46 times | Joined on Oct 2009 @ Michigan
#354
Everything has been working great however I can't seem to get Internal and External IP working right.

The Internal IP when on GSM shows correctly however shows 127.0.0.1 when on wifi.

External IP well doesn't work. I get invalid error which I just piped out to an echo for now however doesn't fix the issue I am seeing. I checked the ifconfig and it does show my proper wlan IP address.

I double checked my rootsh install and it's the proper stable version not the one located in dev.
 
Posts: 171 | Thanked: 13 times | Joined on Nov 2009
#355
I wonder if someone can help. I have several questions ref this widget.

1. Where the are widgets and the settings set as I want to back them up.

2. I want to create a button script that runs a script I have but it runs at root. Any ideas how to set this?

Thanks
 
moudy91's Avatar
Posts: 165 | Thanked: 18 times | Joined on Jun 2010
#356
hey guys i need your help with something.
i need to disable wifi and enable wifi with command desktop executed or with Queen Beecon Widget command.
i tried ( echo "/path/to/script/wifi.sh" | sudo gainroot | echo "" )


and


#!/bin/sh
out=`ifconfig wlan0`
if [ $? -eq "0" ] ; then
if [ `echo "$out" | grep -c RUNNING` -gt "0" ] ; then
run-standalone.sh dbus-send --system --dest=com.nokia.icd /com/nokia/icd_ui com.nokia.icd_ui.disconnect boolean:true
fi
ifconfig wlan0 down
rmmod wl12xx
run-standalone.sh dbus-send --type=method_call --dest=org.freedesktop.Notifications /org/freedesktop/Notifications org.freedesktop.Notifications.SystemNoteInfoprint string:'Wi-Fi disabled'
exit 2
else
modprobe wl12xx
wl1251-cal
stop wlancond
start wlancond
ifconfig wlan0 up
run-standalone.sh dbus-send --system --type=method_call --dest=com.nokia.icd_ui /com/nokia/icd_ui com.nokia.icd_ui.show_conn_dlg boolean:false
exit 0
fi

but it always ask to connect or disconnect, but about me i need disable and enabla wifi, and i download the disable wifi widget but i didn't like it, i need a command that i can put it on the desktop.
so any help if yes please STEP BY STEP.
thank you
 
Posts: 64 | Thanked: 24 times | Joined on Aug 2007 @ Germany ...
#357
Thanks für this usful programm!

One Question: I want to display randomly a "daily bible verse" from a .txt file with 1 Line per Verse. How can I make this ?

best regards
michael
 
Posts: 64 | Thanked: 24 times | Joined on Aug 2007 @ Germany ...
#358
I found this shell script which is running well in the shell. But I dont know the working syntax for the Desktop Command Execution Widget.

random.sh:
Code:
#/bin/sh

# randomquote - Given a one-line-per-entry datafile, this
# script randomly picks one line and displays it. Best used

awkscript="randomquote.awk.$$"

if [ $# -ne 1 ] ; then
  echo "Usage: randomquote datafilename" >&2
  exit 1
elif [ ! -r "$1" ] ; then
  echo "Error: quote file $1 is missing or not readable" >&2
  exit 1
fi

trap "/bin/rm -f $awkscript" 0

cat << "EOF" > $awkscript
BEGIN { srand() }
      { s[NR] = $0 }
END { print s[randint(NR)] }

function randint(n) { return int (n * rand() ) + 1 }
EOF

awk -f $awkscript < "$1"

exit 0
With "random.sh textfile.txt" it writes one line to the shell.

But how can I get this working in Desktop Command Execution Widget ?

Thanks
 
Posts: 436 | Thanked: 406 times | Joined on Jan 2010
#359
Originally Posted by michaelxy View Post
I found this shell script which is running well in the shell. But I dont know the working syntax for the Desktop Command Execution Widget.

random.sh:
Code:
#/bin/sh

# randomquote - Given a one-line-per-entry datafile, this
# script randomly picks one line and displays it. Best used

awkscript="randomquote.awk.$$"

if [ $# -ne 1 ] ; then
  echo "Usage: randomquote datafilename" >&2
  exit 1
elif [ ! -r "$1" ] ; then
  echo "Error: quote file $1 is missing or not readable" >&2
  exit 1
fi

trap "/bin/rm -f $awkscript" 0

cat << "EOF" > $awkscript
BEGIN { srand() }
      { s[NR] = $0 }
END { print s[randint(NR)] }

function randint(n) { return int (n * rand() ) + 1 }
EOF

awk -f $awkscript < "$1"

exit 0
With "random.sh textfile.txt" it writes one line to the shell.

But how can I get this working in Desktop Command Execution Widget ?

Thanks
Desktop command widget is sorta buggy when it comes to these commands but what you can do is this:

Firstly when you are making this desktop execution widget make sure you only have "update when click" selected, otherwise you would be in a whole heap of probs...

Add this command:

cd /pathname && sh ScriptName.sh

where "pathname" is the location of your script and "ScriptName.sh" is the name of the script you want to run...e.g

cd /home/user/MyDocs/Scripts && sh HelloWorld.sh

... Name the widget what ever you like, and voila.
 
Posts: 64 | Thanked: 24 times | Joined on Aug 2007 @ Germany ...
#360
Thanks for your advice.

I tried different variants of the command: "cd /home/user/MyDocs/Scripts && sh HelloWorld.sh" (the rights on the script and directory are 777 etc) But it only writes: "Invalid Command". May be the DCEW can not handle this kind of output ?
 
Reply


 
Forum Jump


All times are GMT. The time now is 21:55.